Subject: [RFC PATCH] ARM: uprobes need icache flush after xol write

From: [email-masked] (Oleg Nesterov)
Date: Wed, 9 Apr 2014 20:24:59 +0200

On 04/09, Russell King - ARM Linux wrote:
>
> I floated a patch to remove flush_icache_user_range() to the architecture
> maintainers, giving the background to how this came about.  I received the
> following reply from David Miller:
>
> > ptrace() accesses (via __access_remote_vm()) already use an existing
> > helper function for these sorts of situations, in the form of
> > copy_{to,from}_user_page().  I would suggest that uprobes uses that
> > as well.
>
> I think this is a very valid point, and echo's my point.

Well. So far I disagree, but let me reply tomorrow.

Sorry, right now I can't even read this thread.

Oleg.